@charset "utf-8";

*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

ul,
ol {
  list-style: none;
}

a {
  color: inherit;
  text-decoration: none;
}

body {
  font-family: "Noto Sans", sans-serif;
  font-size: 16px;
  color: #352311;
  line-height: 1;
  background-color: #f7f7f7;
}

img {
  max-width: 100%;
}

.header-inner {
  max-width: 1200px;
  height: 96px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 40px;
  padding-right: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.toggle-menu-button {
  display: none;
}

.header-logo {
  display: block;
  width: 250px;
}

.instagram {
  display: block;
  width: 30px;
}

.site-menu ul {
  display: flex;
}

.site-menu ul li {
  margin-left: 20px;
  margin-right: 20px;
}

.site-menu ul li a {
  font-weight: bold;
}


.footer {
  color: #f7f7f7;
  background-color: #352311;
  padding-top: 80px;
  padding-bottom: 24px;
  display: flex;
  flex-direction: column;
  align-items: center;
}


.instagram-footer {
  display: block;
  width: 30px;
  margin-left: 40px;
}

.footer-logo {
  display: block;
  width: 260px;
  margin-top: 40px;
}

.copyright {
  font-size: 14px;
  font-weight: bold;
  margin-top: 40px;
}

.attention {
  font-size: 14px;
  font-weight: bold;
  margin-top: 16px;
}

@media (min-width: 801px) {
  .footer-site-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  /* ナビゲーションメニュー選択時の下線 */
  .header-site-menu ul li a {
    position: relative;
    /*アンダーラインの位置を決めるための基準 */
  }

  .header-site-menu ul li a::after {
    position: absolute;
    left: 0;
    content: '';
    width: 100%;
    height: 2px;
    background: #352311;
    bottom: -2px;
    /*アンダーラインがaタグの下端から現れる*/
    transform: scale(0, 1);
    /*アンダーラインの縮尺比率。ホバー前はx方向に0*/
    transform-origin: left top;
    /*変形（アンダーラインの伸長）の原点がaタグ（各メニュー）の左端*/
    transition: transform 0.3s;
    /*変形の時間*/
  }

  .header-site-menu ul li a:hover::after {
    transform: scale(1, 1);
    /*ホバー後、x軸方向に1（相対値）伸長*/
  }

  /* footerナビゲーション選択時の下線 */
  .footer-site-menu ul li a {
    position: relative;
    /*アンダーラインの位置を決めるための基準 */
  }

  .footer-site-menu ul li a::after {
    position: absolute;
    left: 0;
    content: '';
    width: 100%;
    height: 2px;
    background: #f7f7f7;
    bottom: -2px;
    /*アンダーラインがaタグの下端から現れる*/
    transform: scale(0, 1);
    /*アンダーラインの縮尺比率。ホバー前はx方向に0*/
    transform-origin: left top;
    /*変形（アンダーラインの伸長）の原点がaタグ（各メニュー）の左端*/
    transition: transform 0.3s;
    /*変形の時間*/
  }

  .footer-site-menu ul li a:hover::after {
    transform: scale(1, 1);
    /*ホバー後、x軸方向に1（相対値）伸長*/
  }
}

/* Noto Sans: CSS class for a variable style
.noto-sans-<uniquifier> {
  font-family: "Noto Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
} */

/*  Roboto: CSS class for a variable style
.roboto-<uniquifier> {
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
}　*/

/*  Mochiy Pop One: CSS class
.mochiy-pop-one-regular {
  font-family: "Mochiy Pop One", sans-serif;
  font-weight: 400;
  font-style: normal;
}　*/

@media (max-width: 800px) {
  .site-menu ul {
    display: block;
    text-align: center;
  }

  .site-menu li {
    margin-top: 40px;
  }

  .header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: #f7f7f7;
    height: 104px;
    z-index: 10;
    box-shadow: 0 3px 6px rgba(104, 107, 61, 0.1);
  }

  .header-inner {
    padding-left: 20px;
    padding-right: 20px;
    height: 100%;
  }

  .header-logo {
    width: 140px;
  }

  .instagram {
    display: none;
  }

  .toggle-menu-button {
    display: block;
    position: fixed;
    top: 40px;
    right: 20px;
    width: 30px;
    cursor: pointer;
    z-index: 20;
  }

  .toggle-menu-button span {
    display: block;
    height: 3px;
    width: 100%;
    background-color: #352311;
    margin: 5px 0;
    transition: 0.4s;
  }

  /* バツ印に変化するスタイル */
  .toggle-menu-button.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
  }

  .toggle-menu-button.active span:nth-child(2) {
    opacity: 0;
  }

  .toggle-menu-button.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
  }


  .header-site-menu {
    position: fixed;
    top: -100%;
    /* 初期状態でメニューを画面の外に */
    right: 0;
    width: 100vw;
    height: 300px;
    background-color: #E1E84E;
    padding: 20px;
    box-sizing: border-box;
    z-index: 5;
    transition: top 0.5s ease;
    /* スライドアニメーション */
  }

  /* メニューが表示される時 */
  .header-site-menu.open {
    top: 104px;
    /* メニューが表示される位置 */
  }

  .main {
    padding-top: 104px;
  }

  .footer {
    padding-top: 20px;
  }

  .instagram-footer {
    padding-top: 40px;
    margin-left: auto;
    margin-right: auto;
  }

  .footer-logo {
    margin-top: 40px;
  }

  .copyright {
    margin-top: 16px;
  }

  .attention {
    margin-top: 16px;
  }

  .footer-logo {
    width: 140px;
  }

}

@media (min-width: 800px) and (max-width: 860px) {
  .header-site-menu {
    font-size: 12px;
  }
}